Subject: Re: FVWM: Automatically raise certain windows

From: Dominik Vogt <[email-masked]>
Date: Sat, 19 Jan 2002 23:08:23 +0100

On Wed, Dec 12, 2001 at 03:20:28PM +0200, Tom Alsberg wrote:
> On Sun, Dec 02, 2001 at 03:25:43PM +0000, Mikhael Goikhman wrote:
> > On 02 Dec 2001 10:58:56 +0200, Tom Alsberg wrote:
> > > 
> > > Thanks much... This really works.
> > > I yet have a problem, though.
> > > 
> > > FvwmAuto raises on keyboard focus, not on mouse pointer position. Most
> > > of the windows I want to auto-raise are those I set the ClickToFocus
> > > style for. Also for FvwmIconMan I have it set the focus for the
> > > selected window, so it immediately lowers again.
> > > 
> > > Is there a way to raise on pointer in window, and not on keyboard
> > > focus?
> > 
> > FvwmAuto only operates on focus change, so you can't do it with NeverFocus
> > or ClickToFocus windows. There is no enter-window and leave-window internal
> > events in FVWM, so I doubt your request is currently possible.

I have just implemented "enter_window" and "raise_window" events
in FvwmEvent.  With a few lines in your configuration file you can
now get what you want.

  AddToFunc EnterEvent
  + I WindowId $0 (!raised) Raise
  *FvwmEvent: PassId
  *FvwmEvent: enter_window "Silent EnterEvent"

And if fvwm is not yet started:

  AddToFunc StartFunction
  + I Module FvwmEvent

It may be possible that enter and leave events are sometimes not
sent as they should be.  If you can pin down such a situation,
please report back.  You'll need tomorrow's snapshot, or 2.5.0,
but I can't promise when this will be released.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].